#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <QScreen>
#include <QtQml>
#include <QQmlEngine>
#include <QQmlContext>
#include "qtquick2applicationviewer.h"
#include "process.h"
#include "xmlfileprocessor.h"

bool smallResolution;

int main(int argc, char *argv[])
{
    QString current;
    QString currentName;
    QString currentVal;
    int idxOf=0;

    smallResolution = false;

    /* Parse command line arguments */
    for(int i=0; i<argc; i++)
    {
        current = argv[i];
        idxOf = current.indexOf("=");
        if(idxOf == -1)
        {
            currentName = current;
            currentVal = QString();
        }else{
            currentName = current.left(idxOf);
            currentVal = current.mid(idxOf+1);
        }

        if(currentName.count())
        {
            if(currentName.contains(QString("smallResolution")))
            {
                smallResolution = true;
            }
        }

    }

    QGuiApplication app(argc, argv);

    XMLFileProcessor fProcessor;
    fProcessor.processFiles();

    qmlRegisterType<Process>("QtProcess", 0, 1, "Process");

    QtQuick2ApplicationViewer viewer;

    QQmlContext *ctxt = viewer.rootContext();
    ctxt->setContextProperty("smallResolution", smallResolution);
    ctxt->setContextProperty("screenWidth", app.primaryScreen()->availableSize().width());
    ctxt->setContextProperty("screenHeight", app.primaryScreen()->availableSize().height());
    viewer.setMainQmlFile(QLatin1String("qml/TimesysLauncher/main.qml"));
    viewer.showFullScreen();
    qApp->setOverrideCursor( QCursor( Qt::ArrowCursor ) );

    return app.exec();
}
