import QtQuick 2.0

Item {
    id: container

    property bool selectedItem: appButtons.currentIndex === index

    width: normalImage.width
    height: parent ? parent.height : normalImage.height
    z: selectedItem ? 1000 : -index

    function showDetails() {

        if(selectedItem){
            applicationDetails.appImage = applicationImage
            applicationDetails.appName = applicationName
            applicationDetails.appPath = applicationPath
            applicationDetails.appArgs = applicationArg
            applicationDetails.appDescription = applicationDescription
            applicationDetails.showDetails()

            console.debug(applicationDescription)
        }
    }

    function applicationClicked() {

        appButtons.currentIndex = index
        console.log("clicked  "+ applicationName + "  " + appButtons.currentIndex + "  " + index)
        showDetails()
    }

/*    Process
    {
        id: process
            program: applicationPath
            arguments: applicationArg
    }*/

        Item {
            id: wrapper
            width: normalImage.width
            height: normalImage.height

            // Images for normal and selected buttons
            Image {
                id: normalImage
                source: "../../resources/mediumResolution/app-icon-off.png"
            }
            Image {
                id: normalImageActive
                source: "../../resources/mediumResolution/app-icon-on.png"
                opacity: 0
            }            
            Image {
                id: appImg
                source: applicationImage
            }

            MouseArea {
                id: delegateRegion
                anchors.fill: parent
                onClicked:  {
                    if(selectedItem)
                        applicationClicked()
                    else
                        appButtons.currentIndex === index
                }
            }

            states: [
                State {
                    name: "Current"
                    when: selectedItem
                    PropertyChanges {
                        target: normalImageActive
                        opacity: 1
                    }
                    StateChangeScript  {
                        name: "myScript"
                        script: delayedShowTimer.restart()
                    }
                }
            ]

            transitions:
                Transition {
                    to: "Current"
                    reversible: true
                    NumberAnimation {properties: "opacity"; easing.type: "InQuad"; duration: 300}
            }
        }

        Timer {
            id: delayedShowTimer
            interval: 1000;
            repeat: false
            onTriggered: showDetails()
        }
}
