import QtQuick 2.0
import QtQuick.XmlListModel 2.0
import QtQuick.Layouts 1.1

Item {
        property bool cond:true;

        id: page
        anchors.fill: parent

        Image {
            anchors.fill: parent
            smooth: false
            source: "../../resources/mediumResolution/background_1.jpg"
            clip: true
        }

        ListView {
            id: appButtons
            model: appsModel
            delegate: ApplicationProcess {}

            orientation: ListView.Horizontal
            anchors.fill: parent
            anchors.leftMargin: 60
            anchors.rightMargin: 60
            //spacing: (parent.width - appButtons.currentItem.width * count)
            clip: true
           // keyNavigationWraps: true
            spacing: 100

            highlightFollowsCurrentItem: true
            highlightRangeMode: ListView.StrictlyEnforceRange
            highlightMoveDuration: 400
            preferredHighlightBegin: page.width * 0.5 - 140
            preferredHighlightEnd: page.width * 0.5 - 140
            cacheBuffer: 4000
 //           onMovementStarted: scrollingApps()

        }

        Image {
            id: imageRight
            width: 38
            height: 40
            anchors.left: appButtons.right
            anchors.leftMargin: 20
           // anchors.verticalCenter: wqvga ? parent : parent.verticalCenter
            anchors.top: parent.top
            anchors.topMargin: 30
            source: "../../resources/mediumResolution/right-small.png"
            visible: appButtons.atXEnd ? false : true

            MouseArea {
                id: mouse_area_right_arrow
                x: 0
                y: -40

                width: 38
                height: 123

                onClicked: appButtons.incrementCurrentIndex();

            }
        }

        Image {
            id: imageLeft
            width: 38
            height: 40
            anchors.right: appButtons.left
            anchors.rightMargin:  20
            //anchors.verticalCenter: wqvga ? parent : parent.verticalCenter
            anchors.top: parent.top
            anchors.topMargin: 30

            source: "../../resources/mediumResolution/left-small.png"
            visible: appButtons.atXBeginning ? false : true

            MouseArea {
                id: mouse_area_left_arrow
                x: 0
                y: -40

                width: 38
                height: 123

                onClicked: appButtons.decrementCurrentIndex();

            }
        }


        // Display Day and Time
        Item {

           // anchors.fill:parent
            id: timeDisplay
            anchors.centerIn: parent


            Text {
                id: timeText
                anchors.centerIn: parent
                color: "#FFFFFF"
                //font.pointSize: 25
                font.family: "Arial"
                font.pixelSize: mainLauncherWindow.fontLL
               // font.bold: true
            }

            Text {
                id: dateText
                anchors { top: timeText.bottom; }
                color: "#FFFFFF"
                font.pixelSize: mainLauncherWindow.fontMM
            }


            //TIMERS for various features

            Timer { //clock update timer
                id:clocktimer
                property bool dots

                triggeredOnStart: true
                running: true
                repeat: true
                interval: 1000
                onTriggered: {
                    var date = new Date();

                    var th = date.getHours();
                    var tm = date.getMinutes();
                    var ts = date.getSeconds();

                    function format(x) {
                        if (x < 10)
                            return '0' + x;
                        return x;
                    }

                        timeText.text = format(th) + ':' + format(tm) + ':' + format(ts);

                    var day = ['Sun','Mon','Tue','Wed','Thu','Fri','Sat'][date.getDay()];
                    var td = format(date.getDate());
                    var tM = format(date.getMonth() + 1);
                    var ty = format(date.getFullYear());
                    dateText.text = day + ' ' + td + '/' + tM + '/' + ty;

                }
            }
        }

        //Corporate logo's
        RowLayout {
            width: parent.width-120
            height: 100
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 10
            //spacing: 30


            Image {
                id: logo1
                Layout.alignment: Qt.AlignCenter
                source: "../../resources/mediumResolution/logo1.png"
            }
            Image {
                id: logo2
                Layout.alignment: Qt.AlignCenter
                source: "../../resources/mediumResolution/logo2.png"
            }
            Image {
                id: logo3
                Layout.alignment: Qt.AlignCenter
                source: "../../resources/mediumResolution/logo3.png"
            }
            Image {
                id: logo4
                Layout.alignment: Qt.AlignCenter
                source: "../../resources/mediumResolution/logo4.png"
            }
            Image {
                id: logo5
                Layout.alignment: Qt.AlignCenter
                source: "../../resources/mediumResolution/logo5.png"
            }
        }
}
