
import QtQuick 2.0
import QtQuick.Dialogs 1.0
import QtQuick.Window 2.1
import Qt.labs.folderlistmodel 1.0

Rectangle {
    id: mainLauncherWindow
    visible: true
    width: screenWidth;
    height: screenHeight;
    color: "black"
    property int highestZ: 0

    // These are used to scale fonts according to screen size
    property real _scaler: 300 + mainLauncherWindow.width * mainLauncherWindow.height * 0.00015
    property int fontXS: _scaler * 0.032
    property int fontS: _scaler * 0.040
    property int fontM: _scaler * 0.046
    property int fontMM: _scaler * 0.064
    property int fontL: _scaler * 0.100
    property int fontLL: _scaler * 0.300
    // Settings
    property bool penguinOn: true
    property bool changeBackground: true


//    ApplicationsModel { id: applicationModel}

/*    ListView {
        id: appScreens

        keyNavigationWraps: false
        boundsBehavior: Flickable.DragAndOvershootBounds
        flickableDirection: Flickable.HorizontalFlick
       // interactive: false

        snapMode: ListView.SnapOneItem
        highlightMoveVelocity: 800
        smooth: false
        anchors.fill: parent
        focus: false
        highlightRangeMode: ListView.StrictlyEnforceRange
        orientation: ListView.Horizontal

        model: applicationModel
        delegate: ApplicationsPage { }
    }*/

    ApplicationsPage
    {
        id: applicationScreen
    }

    ApplicationsModel
    {
        id: appsModel
    }

    ApplicationDetails
    {
        id: applicationDetails
    }

    HelpScreen
    {
        id: helpScreen
    }
}

