#include "xmlfileprocessor.h"
#include <QFile>
#include <QDirIterator>

XMLFileProcessor::XMLFileProcessor(QObject *parent) :
    QObject(parent)
{
}

void XMLFileProcessor::processFiles()
{
    QDataStream in, init, out;

    QFile result("./applications_list.xml");
    if (!result.open(QIODevice::WriteOnly))
         return;

    out.setDevice(&result);

    QFile initFile("./applications/timesys/xml/header.init");
    if (!initFile.open(QIODevice::ReadOnly))
         return;

    init.setDevice(&initFile);

    char *initData = new char[initFile.size()];
    init.readRawData(initData, initFile.size());
    out.writeRawData(initData, initFile.size());
    delete [] initData;

    QDirIterator iterator("./applications/timesys/xml/", QDirIterator::NoIteratorFlags);
    while(iterator.hasNext())
    {

        iterator.next();
        if (iterator.fileInfo().absoluteFilePath().endsWith(".xml", Qt::CaseInsensitive))
        {
            QFile inFile(iterator.fileInfo().absoluteFilePath());
            if (!inFile.open(QIODevice::ReadOnly))
                 continue;

            in.setDevice(&inFile);

            char *data = new char[inFile.size()];
            in.readRawData(data, inFile.size());
            out.writeRawData(data, inFile.size());
            delete [] data;
        }
    }

    out.writeRawData( "</feed>", 7);
    result.close();
}
